GLM: GLM_GTX_matrix_major_storage

GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_matrix_major_storage
GTX Extensions (Experimental)

## Functions
template<typename T , precision P>
detail::tmat2x2< T, P > | colMajor2 (detail::tvec2< T, P > const &v1, detail::tvec2< T, P > const &v2)
template<typename T , precision P>
detail::tmat2x2< T, P > | colMajor2 (detail::tmat2x2< T, P > const &m)
template<typename T , precision P>
detail::tmat3x3< T, P > | colMajor3 (detail::tvec3< T, P > const &v1, detail::tvec3< T, P > const &v2, detail::tvec3< T, P > const &v3)
template<typename T , precision P>
detail::tmat3x3< T, P > | colMajor3 (detail::tmat3x3< T, P > const &m)
template<typename T , precision P>
detail::tmat4x4< T, P > | colMajor4 (detail::tvec4< T, P > const &v1, detail::tvec4< T, P > const &v2, detail::tvec4< T, P > const &v3, detail::tvec4< T, P > const &v4)
template<typename T , precision P>
detail::tmat4x4< T, P > | colMajor4 (detail::tmat4x4< T, P > const &m)
template<typename T , precision P>
detail::tmat2x2< T, P > | rowMajor2 (detail::tvec2< T, P > const &v1, detail::tvec2< T, P > const &v2)
template<typename T , precision P>
detail::tmat2x2< T, P > | rowMajor2 (detail::tmat2x2< T, P > const &m)
template<typename T , precision P>
detail::tmat3x3< T, P > | rowMajor3 (detail::tvec3< T, P > const &v1, detail::tvec3< T, P > const &v2, detail::tvec3< T, P > const &v3)
template<typename T , precision P>
detail::tmat3x3< T, P > | rowMajor3 (detail::tmat3x3< T, P > const &m)
template<typename T , precision P>
detail::tmat4x4< T, P > | rowMajor4 (detail::tvec4< T, P > const &v1, detail::tvec4< T, P > const &v2, detail::tvec4< T, P > const &v3, detail::tvec4< T, P > const &v4)
template<typename T , precision P>
detail::tmat4x4< T, P > | rowMajor4 (detail::tmat4x4< T, P > const &m)

## Detailed Description

Build matrices with specific matrix order, row or column.

<glm/gtx/matrix_major_storage.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tmat2x2<T, P> glm::colMajor2 | ( | detail::tvec2< T, P > const & | v1,
|  | detail::tvec2< T, P > const & | v2
| ) |  |

Build a column major matrix from column vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat2x2<T, P> glm::colMajor2 | ( | detail::tmat2x2< T, P > const & | m | ) |

Build a column major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

detail::tmat3x3<T, P> glm::colMajor3 | ( | detail::tvec3< T, P > const & | v1,
|  | detail::tvec3< T, P > const & | v2,
|  | detail::tvec3< T, P > const & | v3
| ) |  |

Build a column major matrix from column vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat3x3<T, P> glm::colMajor3 | ( | detail::tmat3x3< T, P > const & | m | ) |

Build a column major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

detail::tmat4x4<T, P> glm::colMajor4 | ( | detail::tvec4< T, P > const & | v1,
|  | detail::tvec4< T, P > const & | v2,
|  | detail::tvec4< T, P > const & | v3,
|  | detail::tvec4< T, P > const & | v4
| ) |  |

Build a column major matrix from column vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat4x4<T, P> glm::colMajor4 | ( | detail::tmat4x4< T, P > const & | m | ) |

Build a column major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

detail::tmat2x2<T, P> glm::rowMajor2 | ( | detail::tvec2< T, P > const & | v1,
|  | detail::tvec2< T, P > const & | v2
| ) |  |

Build a row major matrix from row vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat2x2<T, P> glm::rowMajor2 | ( | detail::tmat2x2< T, P > const & | m | ) |

Build a row major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

detail::tmat3x3<T, P> glm::rowMajor3 | ( | detail::tvec3< T, P > const & | v1,
|  | detail::tvec3< T, P > const & | v2,
|  | detail::tvec3< T, P > const & | v3
| ) |  |

Build a row major matrix from row vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat3x3<T, P> glm::rowMajor3 | ( | detail::tmat3x3< T, P > const & | m | ) |

Build a row major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

detail::tmat4x4<T, P> glm::rowMajor4 | ( | detail::tvec4< T, P > const & | v1,
|  | detail::tvec4< T, P > const & | v2,
|  | detail::tvec4< T, P > const & | v3,
|  | detail::tvec4< T, P > const & | v4
| ) |  |

Build a row major matrix from row vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat4x4<T, P> glm::rowMajor4 | ( | detail::tmat4x4< T, P > const & | m | ) |

Build a row major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.